Debian Bug report logs - #385348
libmysqlclient15off: libmysqlclient shared library defines a "BN_bin2bn" symbol

version graph

Package: libmysqlclient15off; Maintainer for libmysqlclient15off is (unknown);

Reported by: Peter Cernak <pce@users.sourceforge.net>

Date: Wed, 30 Aug 2006 17:18:02 UTC

Severity: normal

Tags: confirmed, upstream

Found in version mysql-dfsg-5.0/5.0.24-3

Fixed in version mysql-dfsg-5.0/5.0.24a-1

Done: Christian Hammers <ch@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.mysql.com/21930

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pce@users.sourceforge.net, Christian Hammers <ch@debian.org>:
Bug#385348; Package libmysqlclient15off. Full text and rfc822 format available.

Acknowledgement sent to Peter Cernak <pce@users.sourceforge.net>:
New Bug report received and forwarded. Copy sent to pce@users.sourceforge.net, Christian Hammers <ch@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Cernak <pce@users.sourceforge.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libmysqlclient15off: libmysqlclient shared library defines a "BN_bin2bn" symbol
Date: Wed, 30 Aug 2006 18:52:59 +0200
Package: libmysqlclient15off
Version: 5.0.24-3
Severity: normal

This breaks programs that link to both libmysqlclient15off and libssl0.9.8.
Simple test case:

$ cat test.cc
#include <openssl/ssl.h>

BIGNUM *bn = 0;
const unsigned char src[] = {0x42, 0x42, 0x42, 0x42};
const int nel = sizeof(src);

int main (void)
{
        printf ("creating bn from array of size %i\n", nel);
        bn = BN_bin2bn (src, nel, 0);
        unsigned int u = BN_get_word (bn);
        printf ("u is %x\n", u);
        return 0;
}
$ g++ -W -Wall -o test -lstdc++ -lssl test.cc
$ ./test
creating bn from array of size 4
u is 42424242
$ g++ -W -Wall -o test -lstdc++ -lssl -lmysqlclient test.cc
$ ./test
creating bn from array of size 4
u is 0

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-2-k7
Locale: LANG=sk_SK.UTF-8, LC_CTYPE=sk_SK.UTF-8 (charmap=UTF-8)

Versions of packages libmysqlclient15off depends on:
ii  libc6                        2.3.6.ds1-2 GNU C Library: Shared libraries
ii  mysql-common                 5.0.24-3    mysql database common files (e.g. 
ii  zlib1g                       1:1.2.3-13  compression library - runtime

libmysqlclient15off recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#385348; Package libmysqlclient15off. Full text and rfc822 format available.

Acknowledgement sent to Christian Hammers <ch@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 385348@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@debian.org>
To: Peter Cernak <pce@users.sourceforge.net>, 385348@bugs.debian.org
Cc: dc <control@bugs.debian.org>
Subject: Re: Bug#385348: libmysqlclient15off: libmysqlclient shared library defines a "BN_bin2bn" symbol
Date: Wed, 30 Aug 2006 23:16:59 +0200
forwarded 385348 http://bugs.mysql.com/21930
tags 385348 + upstream confirmed
stop

Hello Peter

On 2006-08-30 Peter Cernak wrote:
> This breaks programs that link to both libmysqlclient15off and libssl0.9.8.
> Simple test case:

Thanks for the detailed report and the test case, I've opened a bug report at
MySQL and hope that they fix it soon.

As you seem to use this function, can you tell if there's a chance that any
apps could possibly rely on mysql's version of BN_bin2bn and suddenly fail
if the openssl version is choosen again? I guess it's unlikely as I enabled
yassl in 5.0.24 which was only a couple of weeks ago..

bye,

-christian-



Noted your statement that Bug has been forwarded to http://bugs.mysql.com/21930. Request was from Christian Hammers <ch@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream, confirmed Request was from Christian Hammers <ch@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christian Hammers <ch@debian.org>:
Bug#385348; Package libmysqlclient15off. Full text and rfc822 format available.

Acknowledgement sent to "Peter Černák" <pcernak@gmail.com>:
Extra info received and forwarded to list. Copy sent to Christian Hammers <ch@debian.org>. Full text and rfc822 format available.

Message #19 received at 385348@bugs.debian.org (full text, mbox):

From: "Peter Černák" <pcernak@gmail.com>
To: "Christian Hammers" <ch@debian.org>
Cc: 385348@bugs.debian.org
Subject: Re: Bug#385348: libmysqlclient15off: libmysqlclient shared library defines a "BN_bin2bn" symbol
Date: Thu, 31 Aug 2006 00:10:15 +0200
2006/8/30, Christian Hammers <ch@debian.org>:
> As you seem to use this function, can you tell if there's a chance that any
> apps could possibly rely on mysql's version of BN_bin2bn and suddenly fail
> if the openssl version is choosen again? I guess it's unlikely as I enabled
> yassl in 5.0.24 which was only a couple of weeks ago..

Probably no because that's the only BN_* symbol in libmysqlclient.

Thanks for the quick response,
-- 
Peter Černák

Reply sent to Christian Hammers <ch@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Peter Cernak <pce@users.sourceforge.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 385348-close@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@debian.org>
To: 385348-close@bugs.debian.org
Subject: Bug#385348: fixed in mysql-dfsg-5.0 5.0.24a-1
Date: Thu, 31 Aug 2006 16:17:20 -0700
Source: mysql-dfsg-5.0
Source-Version: 5.0.24a-1

We believe that the bug you reported is fixed in the latest version of
mysql-dfsg-5.0, which is due to be installed in the Debian FTP archive:

libmysqlclient15-dev_5.0.24a-1_amd64.deb
  to pool/main/m/mysql-dfsg-5.0/libmysqlclient15-dev_5.0.24a-1_amd64.deb
libmysqlclient15off_5.0.24a-1_amd64.deb
  to pool/main/m/mysql-dfsg-5.0/libmysqlclient15off_5.0.24a-1_amd64.deb
mysql-client-5.0_5.0.24a-1_amd64.deb
  to pool/main/m/mysql-dfsg-5.0/mysql-client-5.0_5.0.24a-1_amd64.deb
mysql-client_5.0.24a-1_all.deb
  to pool/main/m/mysql-dfsg-5.0/mysql-client_5.0.24a-1_all.deb
mysql-common_5.0.24a-1_all.deb
  to pool/main/m/mysql-dfsg-5.0/mysql-common_5.0.24a-1_all.deb
mysql-dfsg-5.0_5.0.24a-1.diff.gz
  to pool/main/m/mysql-dfsg-5.0/mysql-dfsg-5.0_5.0.24a-1.diff.gz
mysql-dfsg-5.0_5.0.24a-1.dsc
  to pool/main/m/mysql-dfsg-5.0/mysql-dfsg-5.0_5.0.24a-1.dsc
mysql-dfsg-5.0_5.0.24a.orig.tar.gz
  to pool/main/m/mysql-dfsg-5.0/mysql-dfsg-5.0_5.0.24a.orig.tar.gz
mysql-server-5.0_5.0.24a-1_amd64.deb
  to pool/main/m/mysql-dfsg-5.0/mysql-server-5.0_5.0.24a-1_amd64.deb
mysql-server_5.0.24a-1_all.deb
  to pool/main/m/mysql-dfsg-5.0/mysql-server_5.0.24a-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 385348@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Hammers <ch@debian.org> (supplier of updated mysql-dfsg-5.0 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 28 Aug 2006 01:22:12 +0200
Source: mysql-dfsg-5.0
Binary: libmysqlclient15-dev mysql-client mysql-client-5.0 mysql-server mysql-server-5.0 mysql-common libmysqlclient15off
Architecture: source all amd64
Version: 5.0.24a-1
Distribution: unstable
Urgency: high
Maintainer: Christian Hammers <ch@debian.org>
Changed-By: Christian Hammers <ch@debian.org>
Description: 
 libmysqlclient15-dev - mysql database development files
 libmysqlclient15off - mysql database client library
 mysql-client - mysql database client (current version)
 mysql-client-5.0 - mysql database client binaries
 mysql-common - mysql database common files (e.g. /etc/mysql/my.cnf)
 mysql-server - mysql database server (current version)
 mysql-server-5.0 - mysql database server binaries
Closes: 385119 385348
Changes: 
 mysql-dfsg-5.0 (5.0.24a-1) unstable; urgency=high
 .
   * New upstream version.
   * The shared library in the 5.0.24 upstream release accidently exported
     some symbols that are also exported by the OpenSSL libraries (notably
     BN_bin2bn) causing unexpected behaviour in applications using these
     functions (thanks to Peter Cernak). Closes: #385348
   * Added note about possible crash on certain i486 clone CPUs.
   * Made recipient address of startup mysqlcheck output configurable
     (thanks to Mattias Guns). Closes: #385119
Files: 
 5d130960e949745819d3da9a3f5f3dec 1093 misc optional mysql-dfsg-5.0_5.0.24a-1.dsc
 9641fcc4f34b4a2651d1aabb3b72a971 18663598 misc optional mysql-dfsg-5.0_5.0.24a.orig.tar.gz
 3100ca41dd3082aab67cee8529b133e5 126322 misc optional mysql-dfsg-5.0_5.0.24a-1.diff.gz
 409153e4c62a9d97d99b6b979919eee3 40488 misc optional mysql-common_5.0.24a-1_all.deb
 94d1702255c41ca5dc91c7344ec7f53b 37944 misc optional mysql-server_5.0.24a-1_all.deb
 08895b2940c7a96bde8fbf67a25d990c 37942 misc optional mysql-client_5.0.24a-1_all.deb
 286f021375ee382f3d2d846ead3aa91b 1807110 libs optional libmysqlclient15off_5.0.24a-1_amd64.deb
 ec4e9021b76904011b41ec74fdb9ed84 7262380 libdevel optional libmysqlclient15-dev_5.0.24a-1_amd64.deb
 b4211c4742b0bce7d2a800dfa4f10be2 7378880 misc optional mysql-client-5.0_5.0.24a-1_amd64.deb
 952757fdc5370d720099b888b9da08e5 22529376 misc optional mysql-server-5.0_5.0.24a-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iEYEARECAAYFAkT3a7IACgkQkR9K5oahGOZ3UwCfdMBPbMTB8LmqkylFAceVm24B
CmUAoMRozvvayl2pwnFHQGIDyYAjmFIQ
=Fl5L
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 12:53:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:40:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.